### Constructor

# RB RhythmDBQueryModel new_empty

#### Declaration [src]

    RhythmDBQueryModel*
    rhythmdb_query_model_new_empty (
      RhythmDB* db
    )

#### Description [src]

Constructs a new empty query model with no query or sorting parameters. This should only be used when the query model will be populated by explicitly adding entries.

#### Parameters

`db`

  Type: `RhythmDB`

  The `RhythmDB`.

  The data is owned by the caller of the function.

#### Return value

Type: `RhythmDBQueryModel`

The newly constructed query model.

The caller of the function takes ownership of the data, and is responsible for freeing it.